Update article translations
PATCH
Update translations for a knowledge article. Supports partial success.
ApiKeyAuth knowledge.content:wheader
Authorization<token>Scope: knowledge.content:w
articleId*stringFormat
uuidThe translations to update for the article
application/json- body
translations?array<>List of translations to create or update
The updated translations, with partial errors if any
application/json- response
data?array<>Successfully upserted translations
partialErrors?array<>Errors for translations that failed
curl -X PATCH 'https://dev.dixa.io/v1/knowledge/articles/{articleId}/translations' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "translations": [ { "languageId": "en", "title": "My Article", "content": "<p>Hello world</p>" } ]}'{}
"data": []
{}
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {},
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
"availableAt": {},
"helpCenterLinks": []
{}
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"